User Update KYC
Update an existing user's KYC (Know Your Customer) information in the Treasury system.
Update User KYC
PATCH /user/kyc
Headers
| Header / Type | Condition | Description |
|---|---|---|
Authorizationstring | required | Bearer token retrieved from the Authentication endpoint. |
X-User-Idstring | optional-when X-Partner-User-Id | Unique user identifier from Treasury. |
X-Partner-User-Idstring | optional-when X-User-Id | Your internal user identifier. |
JSON Body
| Field / Type | Condition | Description |
|---|---|---|
date_of_birthstring | optional | User's date of birth, using yyyy-MM-dd format (e.g., 1988-05-30). |
nationalitystring | optional | User's nationality. |
countrystring | optional | User's country. |
provincestring | optional | User's province. |
citystring | optional | User's city/regency. |
districtstring | optional | User's district. |
Note: All request body fields are optional, but at least one field must be provided in the request to perform an update.
Example Request
json
{
"nationality": "Indonesian",
"country" : "Indonesia",
"province" : "DKI Jakarta",
"city" : "Jakarta Selatan",
"district" : "Kebayoran Baru"
}
Response
Sample Response (200 OK)
Returned when the user KYC information is successfully updated with the newly provided values in the system:
json
{
"code" : 200,
"message": "success"
}
Sample Response (202 Accepted)
Returned when the request is successfully accepted, but no database updates are performed because all provided fields match the user's current values in the system:
json
{
"code" : 202,
"sub_code": "no_update",
"message" : "no update will be performed"
}